Subject: Re: [PATCH net-next v16 5/5] net: rnpgbe: Add register_netdev

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Oct 2025 08:16:40 -0700

On Thu, 30 Oct 2025 10:38:38 +0800 Yibo Dong wrote:
> > >  #include <linux/types.h>
> > >  #include <linux/mutex.h>
> > > +#include <linux/netdevice.h>  
> > 
> > Why do you need to include netdevice.h here now?
> > This patch doesn't add anything that'd need it to the header.
> >   
> 
> It is for 'u8 perm_addr[ETH_ALEN];'
> Maybe I should just "#include <linux/if_ether.h>" for this patch. 

I see, that's fine. Then again, I'm not sure why you store the perm
addr in the struct in the first place. It's already stored in netdevice.